CREATE TABLE ap_interest_periods_ (
    INTEREST_PERIOD_ID       NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ANNUAL_INTEREST_RATE     NUMBER        ,
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    INTEREST_PERIOD_ID       NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ANNUAL_INTEREST_RATE     NUMBER        ,
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    CONSTRAINT pk_ap_interest_periods_ PRIMARY KEY (INTEREST_PERIOD_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, INTEREST_PERIOD_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
